%define upstream_name    Pod-Eventual
%define upstream_version 0.094001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Just get an array of the stuff Pod::Eventual finds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Mixin::Linewise::Readers)
BuildRequires: perl(Test::Deep)
BuildArch: noarch


%{?perl_default_filter}

%description
POD is a pretty simple format to write, but it can be a big pain to deal
with reading it and doing anything useful with it. Most existing POD
parsers care about semantics, like whether a '=item' occurred after an
'=over' but before a 'back', figuring out how to link a 'L<>', and other
things like that.

Pod::Eventual is much less ambitious and much more stupid. Fortunately,
stupid is often better. (That's what I keep telling myself, anyway.)

Pod::Eventual reads line-based input and produces events describing each
POD paragraph or directive it finds. Once complete events are immediately
passed to the 'handle_event' method. This method should be implemented by
Pod::Eventual subclasses. If it isn't, Pod::Eventual's own 'handle_event'
will be called, and will raise an exception.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.94.1-9.mga8
+ Revision: 1496675
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.94.1-8.mga7
+ Revision: 1270544
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.94.1-7.mga6
+ Revision: 1032310
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.94.1-6.mga6
+ Revision: 949247
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.94.1-5.mga5
+ Revision: 789277
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.94.1-4.mga5
+ Revision: 749648
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.94.1-3.mga5
+ Revision: 733267
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.94.1-2.mga5
+ Revision: 686004
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.94.1-1.mga5
+ Revision: 585576
- update to 0.094001

* Tue Oct 22 2013 umeabot <umeabot> 0.93.331-2.mga4
+ Revision: 542280
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.93.331-1.mga4
+ Revision: 497190
- update to 0.093331

* Sun Jan 13 2013 umeabot <umeabot> 0.93.330-2.mga3
+ Revision: 371910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.93.330-1.mga1
+ Revision: 28730
- mageia rebuild
- imported package perl-Pod-Eventual

